curl --request POST \
--url https://api.synctera.com/v1/fdx_auth_requests/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auth_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "<string>",
"customer_id": "<string>"
}
'import requests
url = "https://api.synctera.com/v1/fdx_auth_requests/authorize"
payload = {
"auth_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "<string>",
"customer_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auth_request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
business_id: '<string>',
customer_id: '<string>'
})
};
fetch('https://api.synctera.com/v1/fdx_auth_requests/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"redirect_uri": "<string>"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Grant an FDX authorization request
🚧 Beta This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.
Grant or deny an FDX authorization request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
FDX authorization grant
The ID of the FDX authorization request.
Whether the end customer was authenticated by the Fintech and authorized Plaid access to their data, or whether there was an error in the authentication.
DENIED, ERROR, GRANTED The UUID of the business associated with the FDX token. One of customer_id or business_id must be provided.
The UUID of the customer associated with the FDX token. One of customer_id or business_id must be provided.
Response
FDX authorization grant response
URI to redirect to after successful authorization.
Was this page helpful?

